Index: branches/HiveStatistics/sources/HeuristicLab.Algorithms.RAPGA/3.3/RAPGAMainLoop.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Algorithms.RAPGA/3.3/RAPGAMainLoop.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Algorithms.RAPGA/3.3/RAPGAMainLoop.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -65,7 +65,4 @@
       get { return (ValueLookupParameter<IntValue>)Parameters["Elites"]; }
     }
-    public IValueLookupParameter<BoolValue> ReevaluateElitesParameter {
-      get { return (IValueLookupParameter<BoolValue>)Parameters["ReevaluateElites"]; }
-    }
     public ValueLookupParameter<IntValue> MaximumGenerationsParameter {
       get { return (ValueLookupParameter<IntValue>)Parameters["MaximumGenerations"]; }
@@ -119,14 +116,4 @@
     public override IDeepCloneable Clone(Cloner cloner) {
       return new RAPGAMainLoop(this, cloner);
-    }
-
-    [StorableHook(HookType.AfterDeserialization)]
-    private void AfterDeserialization() {
-      // BackwardsCompatibility3.3
-      #region Backwards compatible code, remove with 3.4
-      if (!Parameters.ContainsKey("ReevaluateElites")) {
-        Parameters.Add(new ValueLookupParameter<BoolValue>("ReevaluateElites", "Flag to determine if elite individuals should be reevaluated (i.e., if stochastic fitness functions are used.)"));
-      }
-      #endregion
     }
 
@@ -142,5 +129,4 @@
       Parameters.Add(new ValueLookupParameter<IOperator>("Evaluator", "The operator used to evaluate solutions. This operator is executed in parallel, if an engine is used which supports parallelization."));
       Parameters.Add(new ValueLookupParameter<IntValue>("Elites", "The numer of elite solutions which are kept in each generation."));
-      Parameters.Add(new ValueLookupParameter<BoolValue>("ReevaluateElites", "Flag to determine if elite individuals should be reevaluated (i.e., if stochastic fitness functions are used.)"));
       Parameters.Add(new ValueLookupParameter<IntValue>("MaximumGenerations", "The maximum number of generations which should be processed."));
       Parameters.Add(new ValueLookupParameter<VariableCollection>("Results", "The variable collection where results should be stored."));
@@ -204,8 +190,4 @@
       Assigner assigner4 = new Assigner();
       Assigner assigner5 = new Assigner();
-      ConditionalBranch reevaluateElitesBranch = new ConditionalBranch();
-      UniformSubScopesProcessor uniformSubScopesProcessor2 = new UniformSubScopesProcessor();
-      Placeholder evaluator2 = new Placeholder();
-      SubScopesCounter subScopesCounter4 = new SubScopesCounter();
 
       variableCreator.CollectedValues.Add(new ValueParameter<IntValue>("Generations", new IntValue(0))); // Class RAPGA expects this to be called Generations
@@ -356,15 +338,4 @@
       assigner5.LeftSideParameter.ActualName = "OffspringList";
       assigner5.RightSideParameter.Value = new ScopeList();
-
-      reevaluateElitesBranch.ConditionParameter.ActualName = "ReevaluateElites";
-      reevaluateElitesBranch.Name = "Reevaluate elites ?";
-
-      uniformSubScopesProcessor2.Parallel.Value = true;
-
-      evaluator2.Name = "Evaluator (placeholder)";
-      evaluator2.OperatorParameter.ActualName = EvaluatorParameter.Name;
-
-      subScopesCounter4.Name = "Increment EvaluatedSolutions";
-      subScopesCounter4.ValueParameter.ActualName = EvaluatedSolutionsParameter.Name;
       #endregion
 
@@ -407,12 +378,5 @@
       subScopesProcessor2.Successor = mergingReducer;
       bestSelector.Successor = rightReducer2;
-      rightReducer2.Successor = reevaluateElitesBranch;
-      reevaluateElitesBranch.TrueBranch = uniformSubScopesProcessor2;
-      uniformSubScopesProcessor2.Operator = evaluator2;
-      uniformSubScopesProcessor2.Successor = subScopesCounter4;
-      evaluator2.Successor = null;
-      subScopesCounter4.Successor = null;
-      reevaluateElitesBranch.FalseBranch = null;
-      reevaluateElitesBranch.Successor = null;
+      rightReducer2.Successor = null;
       scopeCleaner.Successor = scopeRestorer;
       mergingReducer.Successor = intCounter3;
